Subject: The card ending in 6489 has been linked to your account
From: Cash App <[email-masked]>
To: [email-masked]
Date: Tue, 21 Apr 2026 16:40:57 +0000

The card ending in 6489 has been linked to your Cash account.

Not you? Turn on security lock and contact customer support.